Summary:	Libsyncml - an implementation of the SyncML protocol
Summary(pl.UTF-8):	Libsyncml - implementacja protokołu SyncML
Name:		libsyncml
Version:	0.5.4
Release:	2
License:	LGPL 2.1+
Group:		Libraries
Source0:	https://downloads.sourceforge.net/project/libsyncml/libsyncml/%{version}/%{name}-%{version}.tar.bz2
# Source0-md5:	b8ce1f222cccc12acdcd6807d65c1aea
Patch0:		wbxml.patch
URL:		http://libsyncml.opensync.org/
BuildRequires:	bluez-libs-devel
BuildRequires:	check
BuildRequires:	cmake
BuildRequires:	glib2-devel >= 1:2.12
BuildRequires:	libsoup-devel >= 2.2.91
BuildRequires:	libwbxml-devel >= 0.10.0
BuildRequires:	libxml2-devel
BuildRequires:	openobex-devel >= 1.3
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.385
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libsyncml is a implementation of the SyncML protocol.

%description -l pl.UTF-8
Libsyncml jest implementacją protokołu SyncML.

%package devel
Summary:	Header files for libsyncml library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libsyncml
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libsyncml library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libsyncml.

%prep
%setup -q
%patch0 -p1

%build
install -d build
cd build
%cmake ../

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README
%attr(755,root,root) %{_bindir}/syncml*
%attr(755,root,root) %{_libdir}/libsyncml.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libsyncml.so.2

%files devel
%defattr(644,root,root,755)
%{_libdir}/libsyncml.so
%{_includedir}/libsyncml-1.0
%{_pkgconfigdir}/libsyncml-1.0.pc
%changelog
* Wed Aug 26 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libsyncml.git;a=log;h=master

* Wed Aug 26 2015 Jan Rękorajski <baggins@pld-linux.org> 19b3ff7
- release 2 (by relup.sh)

* Wed Aug 26 2015 Jan Rękorajski <baggins@pld-linux.org> cdf28bf
- more wbxml fix

* Wed Aug 26 2015 Jan Rękorajski <baggins@pld-linux.org> e17b5d7
- fix build ith new libwbxml
- remove macroized cmake options

* Thu Aug 19 2010 Elan Ruusamäe <glen@pld-linux.org> 7715346
- up to 0.5.4

* Thu Jan 29 2009 Elan Ruusamäe <glen@pld-linux.org> 2e989d1
- release 1

* Thu Jan 29 2009 Elan Ruusamäe <glen@pld-linux.org> a6d0d33
- WAP Binary XML: on

* Thu Jan 29 2009 Elan Ruusamäe <glen@pld-linux.org> c3708c6
- prep update to 0.5.1

* Wed Oct 22 2008 Szymon Siwek <sls@pld-linux.org> 4f83ddc
- BR: cmake, rm BR: libtool,  rel. 1

* Tue Oct 21 2008 Szymon Siwek <sls@pld-linux.org> 92f77b8
- ver. 0.4.7

* Sun Aug 31 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 892b417
- release 2

* Fri May 30 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> ea83186
- rel.1

* Mon May 26 2008 shadzik <shadzik@pld-linux.org> 7878967
- adjusted files
- ghost symlink
- no attr() for symlinks!
- sorted BRs

* Sun May 25 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> d311b01
- -C build, NFY

* Fri May 23 2008 shadzik <shadzik@pld-linux.org> 3b2e2b4
- fix cmake call

* Sat May 17 2008 Michał 'Wolvverine' Panasiewicz <wolvverine@pld-linux.org> 92d5f1c
- up to 0.4.6, NFY

* Thu Mar 13 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 0e0ea30
- rel 3

* Thu Jan 17 2008 Elan Ruusamäe <glen@pld-linux.org> 4069fc7
- rel 2

* Sat Mar 31 2007 wrobell <wrobell@pld-linux.org> fa9d4ec
- fixed build requirements

* Wed Mar 28 2007 wrobell <wrobell@pld-linux.org> 0e29542
- ver. 0.4.4

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 26dfe6f
- tabs in preamble

